## kyotocabinet 1.2.76

=== lab/kcdict/Makefile ===
COMMANDFILES = kcdictmgr
UTILFILES = kcdictwntotsv kcdictejrtotsv
CGIFILES = kcdictsearch.cgi

prefix = /usr/local
exec_prefix = ${prefix}
BINDIR = ${exec_prefix}/bin
LIBEXECDIR = ${exec_prefix}/libexec

CXX = g++
CPPFLAGS = -I. -I.. -I../.. -I/usr/local/include -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_REENTRANT -D__EXTENSIONS__
CXXFLAGS = -O2 -Wall -fPIC -fsigned-char
LDFLAGS = -L. -L.. -L../.. -L/usr/local/lib -Wl,-rpath-link,.:..:../..:/usr/local/lib:.:/usr/local/lib:/usr/local/lib:. -Wl,--as-needed
LIBS = -lkyotocabinet
#LIBS = -static -lkyotocabinet -llzo2 -llzma -lz -lstdc++ -lrt -lpthread -lm -lc
RUNENV = LD_LIBRARY_PATH=.:/usr/local/lib:/usr/local/lib:.:..:../..


all : $(COMMANDFILES)


install :
	mkdir -p $(DESTDIR)$(BINDIR)
	cp -Rf $(COMMANDFILES) $(UTILFILES) $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(LIBEXECDIR)
	cp -Rf $(CGIFILES) $(DESTDIR)$(LIBEXECDIR)


install-strip :
	$(MAKE) DESTDIR=$(DESTDIR) install
	cd $(DESTDIR)$(BINDIR) && strip $(COMMANDFILES)


uninstall :
	-cd $(DESTDIR)$(BINDIR) && rm -f $(COMMANDFILES) $(UTILFILES)
	-cd $(DESTDIR)$(LIBEXECDIR) && rm -f $(CGIFILES)


clean :
	rm -rf $(COMMANDFILES) *.exe *.o a.out check.out gmon.out leak.log \
	  casket* *.kct *.key wordnet.tsv eijiro-*.tsv *~


check :
	rm -rf dict.kct
	$(RUNENV) ./kcdictmgr import dict.kct sample.tsv
	$(RUNENV) ./kcdictmgr search dict.kct 't' > check.out
	$(RUNENV) ./kcdictmgr search -pk dict.kct 'aaa' > check.out
	$(RUNENV) ./kcdictmgr search -max 3 -pk dict.kct '' > check.out
	$(RUNENV) ./kcdictmgr search -f -pk dict.kct 'tokyo' > check.out
	$(RUNENV) ./kcdictmgr search -a -pk dict.kct 'tok' > check.out
	$(RUNENV) ./kcdictmgr search -m -pk dict.kct 'e' > check.out
	$(RUNENV) ./kcdictmgr search -r -pk dict.kct '^f' > check.out
	$(RUNENV) ./kcdictmgr search -tm -pk dict.kct 'e' > check.out
	$(RUNENV) ./kcdictmgr search -tr -pk dict.kct 'r' > check.out
	rm -rf dict.kct


dict :
	ls *.tsv | while read path ; \
	  do \
	    $(RUNENV) ./kcdictmgr import "$${path%.tsv}.kct" "$$path" ; \
	  done


key :
	ls *.kct | while read path ; \
	  do \
	    $(RUNENV) ../../kctreemgr list "$${path}" |\
	      cut -f 1 | uniq > "$${path%.kct}.key" ; \
	  done


.SUFFIXES :
.SUFFIXES : .cc .o

.c.o :
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

.cc.o :
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $<


kcdictmgr : kcdictmgr.o
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)

=== debian/changelog ===
kyotocabinet (1.2.76-4) unstable; urgency=low

  * use breaks/replaces for smooth upgrades following man page move
      from -doc -> -utils
  * do not unconditionally use -m64 when available (Closes: #680058)
  * obey DEB_BUILD_OPTIONS=noopt of Policy 4.9.1
  * disable -rpath linking per recommended practice
  * provide convenience names (libkyotocabinet16-dev, libkyotocabinet-dbg)
  * switch to xz (-2) compression for debs
  * fix link to kyotoproducts.pdf to point to Internet
  * GNU/kFreeBSD
    - support kyotocabinet::getsysinfo() on GNU/kFreeBSD
    - link with --as-needed on GNU/kFreeBSD as well as Linux
  * include <unistd.h> in kccommon.h for gcc-4.7 compatibility

 -- Shawn Landden <shawnlandden@gmail.com>  Wed, 11 Jul 2012 13:12:43 -0700

kyotocabinet (1.2.76-3) unstable; urgency=low

  * workaround for dh_installdoc leaving empty folder is not necessary
      on buildds

 -- Shawn Landden <shawnlandden@gmail.com>  Sun, 01 Jul 2012 18:50:23 -0700

kyotocabinet (1.2.76-2) unstable; urgency=low

  * include static library (libkyotocabinet.a) in -dev deb per §8.3
  * consolidate and clean up docs
    - fixed api/index.html link to work without a web server
  * include examples in doc package
  * improve test for atomics to remove special casing, could be prettier however
    - fixes FTBFS on 32-bit powerpc 

 -- Shawn Landden <shawnlandden@gmail.com>  Sat, 30 Jun 2012 10:39:24 -0700

kyotocabinet (1.2.76-1) unstable; urgency=low

  * Initial release. (Closes: #613450)

 -- Shawn Landden <shawnlandden@gmail.com>  Thu, 07 Jun 2012 16:12:07 -0700

=== debian/control ===
Source: kyotocabinet
Section: utils
Priority: optional
Maintainer: Shawn Landden <shawnlandden@gmail.com>
Build-Depends: debhelper (>= 9),
 dpkg-dev (>= 1.16.1),
 automake,
 libtool (>= 2.2),
 zlib1g-dev,
 liblzma-dev,
 liblzo2-dev
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/kyoto-cabinet.git
Vcs-Git: git://git.debian.org/collab-maint/kyoto-cabinet.git
Homepage: http://fallabs.com/kyotocabinet/

Package: libkyotocabinet16
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Straightforward implementation of DBM - shared library
 Kyoto Cabinet is a library of routines for managing a database. The
 database is a simple data file containing records, each is a pair of
 a key and a value. Every key and value is serial bytes with variable
 length. Both binary data and character string can be used as a key and
 a value. Each key must be unique within a database. There is neither
 concept of data tables nor data types. Records are organized in
 hash table or B+ tree.
 .
 This package contains the shared library.
 
Package: libkyotocabinet16-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkyotocabinet16 (= ${binary:Version}), ${misc:Depends}
Provides: libkyocabinet-dbg
Multi-Arch: same
Description: Straightforward implementation of DBM - debugging symbols
 Kyoto Cabinet is a library of routines for managing a database. The
 database is a simple data file containing records, each is a pair of
 a key and a value. Every key and value is serial bytes with variable
 length. Both binary data and character string can be used as a key and
 a value. Each key must be unique within a database. There is neither
 concept of data tables nor data types. Records are organized in
 hash table or B+ tree.
 .
 This package contains the debugging symbols for the shared library.

Package: kyotocabinet-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kyotocabinet-doc (<< 1.2.76-2)
Breaks: kyotocabinet-doc (<< 1.2.76-2)
Recommends: kyotocabinet-doc
Multi-Arch: foreign
Description: Straightforward implementation of DBM - utilities
 Kyoto Cabinet is a library of routines for managing a database. The
 database is a simple data file containing records, each is a pair of
 a key and a value. Every key and value is serial bytes with variable
 length. Both binary data and character string can be used as a key and
 a value. Each key must be unique within a database. There is neither
 concept of data tables nor data types. Records are organized in
 hash table or B+ tree.
 .
 This package contains the kcutilmgr tool, used to compile kyotocabinet
 language bindings without Debian patches applied, and well as testing
 and debugging utilities.

Package: kyotocabinet-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libkyotocabinet-dev
Description: Straightforward implementation of DBM - docs
 Kyoto Cabinet is a library of routines for managing a database. The
 database is a simple data file containing records, each is a pair of
 a key and a value. Every key and value is serial bytes with variable
 length. Both binary data and character string can be used as a key and
 a value. Each key must be unique within a database. There is neither
 concept of data tables nor data types. Records are organized in
 hash table or B+ tree.
 .
 Kyoto Cabinet runs very fast. For example, elapsed time to store
 one million records is 0.9 seconds for hash database, and 1.1 seconds
 for B+ tree database. Moreover, the size of database is very small.
 For example, overhead for a record is 16 bytes for hash database,
 and 4 bytes for B+ tree database. Furthermore, scalability of
 Kyoto Cabinet is great. The database size can be up to 8EB (9.22e18 bytes).
 .
 Sponsored by the same company, Kyoto Cabinet is "[a] more powerful and
 convenient library than Tokyo Cabinet [and] surpasses Tokyo Cabinet in
 every aspect".
 .
 This package contains the documentation.

Package: libkyotocabinet-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libkyotocabinet16 (= ${binary:Version}), ${misc:Depends},
 zlib1g-dev,
 liblzma-dev,
 liblzo2-dev
Provides: libkyotocabinet16-dev
Description: Straightforward implementation of DBM - development headers
 Kyoto Cabinet is a library of routines for managing a database. The
 database is a simple data file containing records, each is a pair of
 a key and a value. Every key and value is serial bytes with variable
 length. Both binary data and character string can be used as a key and
 a value. Each key must be unique within a database. There is neither
 concept of data tables nor data types. Records are organized in
 hash table or B+ tree.
 .
 This package contains the development headers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CONFIG_OPTS += --disable-opt
endif

override_dh_auto_configure:
	dh_auto_configure -- \
--enable-zlib \
--enable-lzo \
--enable-lzma \
--prefix=/usr \
$(CONFIG_OPTS)

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install

override_dh_installdocs:
	#kyotocabinet-doc doc's created in install file, so this doesn't apply there
	dh_installdocs --link-doc=libkyotocabinet16
	# mega-lameness, seem to not be necessary on buildds, but with cowbuilder/pbuilder?
	rm -rf $$(pwd)/debian/kyotocabinet-doc/usr/share/doc/libkyotocabinet16

override_dh_strip:
	dh_strip --package=libkyotocabinet16 --dbg-package=libkyotocabinet16-dbg
	dh_strip

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_builddeb:
	dh_builddeb -- -Zxz -z2

override_dh_makeshlibs:
	dh_makeshlibs -V

%:
	dh $@

## kyotocabinet 1.2.79

=== example/Makefile ===
# Makefile for sample programs of Kyoto Cabinet



#================================================================
# Setting Variables
#================================================================


# Generic settings
SHELL = /bin/sh

# Targets
MYBINS = kcprotoex kccacheex kcgrassex kchashex kctreeex kcdirex kcforestex \
  kcpolyex kcvisex kcmrex kclangcex

# Building binaries
CC = gcc
CXX = g++
CFLAGS = -I. -I.. -Wall -ansi -pedantic -fsigned-char -O2
CXXFLAGS = -I. -I.. -Wall -fsigned-char -O2
LDFLAGS =
LIBS = -L. -L.. -lkyotocabinet -lstdc++ -lz -lrt -lpthread -lm -lc
LDENV = LD_RUN_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..
RUNENV = LD_LIBRARY_PATH=/lib:/usr/lib:$(HOME)/lib:/usr/local/lib:.:..



#================================================================
# Suffix rules
#================================================================


.SUFFIXES :
.SUFFIXES : .c .cc .o

.c.o :
	$(CC) -c $(CFLAGS) $<

.cc.o :
	$(CXX) -c $(CXXFLAGS) $<



#================================================================
# Actions
#================================================================


all : $(MYBINS)


clean :
	rm -rf $(MYBINS) *.exe *.o a.out check.out gmon.out leak.log casket* *~


static :
	make LDFLAGS="$(LDFLAGS) -static"


check :
	rm -rf casket*
	$(RUNENV) ./kcprotoex
	$(RUNENV) ./kccacheex
	$(RUNENV) ./kcgrassex
	$(RUNENV) ./kchashex
	$(RUNENV) ./kctreeex
	$(RUNENV) ./kcdirex
	$(RUNENV) ./kcforestex
	$(RUNENV) ./kcpolyex
	$(RUNENV) ./kcvisex
	$(RUNENV) ./kcmrex
	$(RUNENV) ./kclangcex


.PHONY : all clean static



#================================================================
# Building binaries
#================================================================


kcprotoex : kcprotoex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kccacheex : kccacheex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kcgrassex : kcgrassex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kchashex : kchashex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kctreeex : kctreeex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kcdirex : kcdirex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kcforestex : kcforestex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kcpolyex : kcpolyex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kcvisex : kcvisex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kcmrex : kcmrex.o
	$(LDENV) $(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)


kclangcex : kclangcex.o
	$(LDENV) $(CC) $(CFLAGS) -o $@ $< $(LDFLAGS) $(LIBS)



# END OF FILE

=== debian/changelog ===
kyotocabinet (1.2.79-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libtool.
    + kyotocabinet-utils: Drop versioned constraint on kyotocabinet-doc in
      Replaces.
    + kyotocabinet-utils: Drop versioned constraint on kyotocabinet-doc in
      Breaks.

  [ Boyuan Yang ]
  * debian/control: Mark kyotocabinet-doc as M-A: foreign.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Oct 2022 22:06:05 -0400

kyotocabinet (1.2.79-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh information.
  * Refresh patches:
    - test-disable-dir-db-test-fails-on-tmpfs-btrfs.patch:
      Dropped, upstream has fixed the failing test.
    - cpp-14.patch: Dropped, merged upstream.
    - doc-kyotoproducts.pdf.patch: Update with new URL.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 09:45:55 -0400

kyotocabinet (1.2.76-5) unstable; urgency=medium

  * Upload to unstable.
  * Take over package maintenance through ITS process.
    (Closes: #987174)

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 00:09:28 -0400

kyotocabinet (1.2.76-5~exp2) experimental; urgency=medium

  * debian/rules: Restore --link-doc option in dh_installdocs.
    (Closes: #990227)
  * debian/rules: Drop outdated override to dh_makeshlibs.
  * debian/patches: Add patch to reenable debug symbol generation.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jul 2021 15:16:50 -0400

kyotocabinet (1.2.76-5~exp1) experimental; urgency=medium

  * Take over package maintenance through ITS process.
    (See #987174)
  * debian/control: Update Vcs-* fields to use Debian GitLab platform.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper-compat to v13.
    + Migrate to -dbgsym package.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Jun 2021 11:02:01 -0400

kyotocabinet (1.2.76-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix incompatibility with C++14/GCC 6 (Closes: #811627)

 -- Andreas Stührk <andy@hammerhartes.de>  Sat, 24 Sep 2016 17:58:05 +0200

kyotocabinet (1.2.76-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steve Langasek ]
  * Rename library packages for g++5 ABI transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Aug 2015 12:16:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kyotocabinet
 Section: utils
 Priority: optional
-Maintainer: Shawn Landden <shawnlandden@gmail.com>
-Build-Depends: debhelper (>= 9),
- dpkg-dev (>= 1.16.1),
- automake,
- libtool (>= 2.2),
+Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ libtool,
  zlib1g-dev,
  liblzma-dev,
- liblzo2-dev
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/kyoto-cabinet.git
-Vcs-Git: git://git.debian.org/collab-maint/kyoto-cabinet.git
-Homepage: http://fallabs.com/kyotocabinet/
+ liblzo2-dev,
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/debian/kyotocabinet
+Vcs-Git: https://salsa.debian.org/debian/kyotocabinet.git
+Homepage: https://dbmx.net/kyotocabinet/
 
-Package: libkyotocabinet16
+Package: libkyotocabinet16v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
+Conflicts: libkyotocabinet16
+Replaces: libkyotocabinet16
 Description: Straightforward implementation of DBM - shared library
  Kyoto Cabinet is a library of routines for managing a database. The
  database is a simple data file containing records, each is a pair of
@@ -30,30 +30,10 @@
  hash table or B+ tree.
  .
  This package contains the shared library.
- 
-Package: libkyotocabinet16-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: libkyotocabinet16 (= ${binary:Version}), ${misc:Depends}
-Provides: libkyocabinet-dbg
-Multi-Arch: same
-Description: Straightforward implementation of DBM - debugging symbols
- Kyoto Cabinet is a library of routines for managing a database. The
- database is a simple data file containing records, each is a pair of
- a key and a value. Every key and value is serial bytes with variable
- length. Both binary data and character string can be used as a key and
- a value. Each key must be unique within a database. There is neither
- concept of data tables nor data types. Records are organized in
- hash table or B+ tree.
- .
- This package contains the debugging symbols for the shared library.
 
 Package: kyotocabinet-utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kyotocabinet-doc (<< 1.2.76-2)
-Breaks: kyotocabinet-doc (<< 1.2.76-2)
 Recommends: kyotocabinet-doc
 Multi-Arch: foreign
 Description: Straightforward implementation of DBM - utilities
@@ -72,7 +52,8 @@
 Package: kyotocabinet-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Suggests: libkyotocabinet-dev
 Description: Straightforward implementation of DBM - docs
  Kyoto Cabinet is a library of routines for managing a database. The
@@ -100,7 +81,7 @@
 Section: libdevel
 Multi-Arch: same
 Architecture: any
-Depends: libkyotocabinet16 (= ${binary:Version}), ${misc:Depends},
+Depends: libkyotocabinet16v5 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev,
  liblzma-dev,
  liblzo2-dev
@@ -115,4 +96,3 @@
  hash table or B+ tree.
  .
  This package contains the development headers.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/architecture.mk

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CONFIG_OPTS += --disable-opt
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	        --enable-zlib \
	        --enable-lzo \
	        --enable-lzma \
	        --prefix=/usr \
	        $(CONFIG_OPTS)

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install

override_dh_installdocs-arch:
	# does not apply to kyotocabinet-doc
	dh_installdocs --arch --link-doc=libkyotocabinet16v5

execute_after_dh_installdocs-indep:
	# mega-lameness, seem to not be necessary on buildds, but with cowbuilder/pbuilder?
	rm -rf $$(pwd)/debian/kyotocabinet-doc/usr/share/doc/libkyotocabinet16v5

override_dh_strip:
	dh_strip --dbgsym-migration='libkyotocabinet16v5-dbg (<< 1.2.76-5~)'

%:
	dh $@

## kyotocabinet 1.2.80

=== debian/changelog ===
kyotocabinet (1.2.80-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Mar 2024 19:25:40 -0500

kyotocabinet (1.2.80-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 16:36:47 -0400

kyotocabinet (1.2.80-1~exp1) experimental; urgency=medium

  * New upstream release.
    + No actual change; modification patched out in Debian already.
  * debian/rules: Drop dh_strip override after migration.
  * debian/patches: Refreshed.

 -- Boyuan Yang <byang@debian.org>  Wed, 19 Apr 2023 08:47:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: kyotocabinet
 Section: utils
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
  libtool,
  zlib1g-dev,
  liblzma-dev,
  liblzo2-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/kyotocabinet
 Vcs-Git: https://salsa.debian.org/debian/kyotocabinet.git
 Homepage: https://dbmx.net/kyotocabinet/

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,5 @@
 	# mega-lameness, seem to not be necessary on buildds, but with cowbuilder/pbuilder?
 	rm -rf $$(pwd)/debian/kyotocabinet-doc/usr/share/doc/libkyotocabinet16v5
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libkyotocabinet16v5-dbg (<< 1.2.76-5~)'
-
 %:
 	dh $@

=== debian/watch ===
version=3

https://dbmx.net/kyotocabinet/pkg/ kyotocabinet-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz|lzma)))
